<?php

include "core/init.inc.php";

header('Content-Type: application/json');

if(isset($_POST['lookup'])){
	echo json_encode(array(
		'url' 	=> get_url($_POST['lookup']),
		'key' 	=> $_POST['lookup'],
	));
}else if(isset($_POST['shorten'])){
	$errors = array();
	
	if(get_todays_api_requests($_SERVER['REMOTE_ADDR']) > 1000){
		$errors[] = "You have exceeded the limit for the free api";
	}
	
	if(strlen($_POST['shorten']) > 1024){
		$errors[] = "There is a limit of 1024 characters";
	}
	
	if(filter_var($_POST['shorten'], FILTER_VALIDATE_URL) === false){
		$errors[] = "Your URL does not appear to be valid";
	}
	
	$key = (empty($errors)) ? shorten_url($_POST['shorten']) : false;
	
	echo json_encode(array(
		'url' 		=> $_POST['shorten'],
		'key' 		=> $key,
		'errors'	=> $errors,
	));
	
	log_api_request($_SERVER['REMOTE_ADDR']);
}else{
	echo json_encode(array(
		'shorten' 	=> 'Adds the given URL to the system',
		'lookup' 	=> 'Gets the full URL from the given key',
	));
}

?>