<?php

include "core/init.inc.php";

$errors = array();

if(isset($_POST['url'])){
	//dont need to check for length because using text in database
	if(strlen($_POST['url']) > 1024){
		$errors[] = "There is a limit of 1024 characters.";
	}
	
	if(filter_var($_POST['url'], FILTER_VALIDATE_URL) === false){
		$errors[] = "Your URL does not appear to be valid";
	}
	
	if(empty($errors)){
		$url_key = shorten_url($_POST['url']);
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict/EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>BetterPHP: Url Shortener</title>
	</head>
	<body>
		<div>
			<?php
				
			if(empty($errors) === false){
				echo "<ul>";
				
				foreach($errors as $error){
					echo "<li>{$error}</li>";
				}
				
				echo "</ul>";
			}else if(isset($url_key)){
				echo "Your URL: <a href=\"http://localhost/projects/public_api/shortening_site/{$url_key}\">http://localhost/projects/public_api/shortening_site/{$url_key}</a> ";
			}
		
			?>
		</div>
		<form action="" method="post">
			<p>
				<input type="text" name="url" />
				<input type="submit" value="Shorten" />
			</p>
		</form>
	</body>
</html>